<div id="auth-page" fxLayout="row" fxLayoutAlign="center start" class="p-32" >
	<mat-card class="art-card auth-form mat-elevation-z17 mt-20"
		fxFlex.lt-sm="100"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<mat-card-title> Сервис Приема ССПВО </mat-card-title>
		<mat-card-subtitle> Вход в личный кабинет</mat-card-subtitle>
		<mat-card-content class="mt-32">
			<form *ngIf="!user?.id; else loginIn"
				[formGroup]="authForm"
				class="form" fxLayout="column" >

				<mat-form-field class="form-element" fxFlex="" appearance="outline">
					<mat-label> Логин </mat-label>
					<input matInput placeholder="Введите email" formControlName="login" type="login">
					<mat-error *ngIf="!authForm.controls['login'].valid && authForm.controls['login'].touched">
              <span *ngIf="authForm.get('login').hasError('pattern')">
                Недопустимый формат email
              </span>
						<span *ngIf="authForm.get('login').hasError('required')">
                Данное поле обязательно для заполнения
              </span>
					</mat-error>
				</mat-form-field>

				<mat-form-field class="form-element" fxFlex="" appearance="outline" >
					<mat-label> Пароль</mat-label>
					<input matInput placeholder="" formControlName="pass" [type]="typePass" >
					<mat-icon matSuffix class="cursor-pointer"
						[svgIcon]=" showPass? 'eye-off-outline' : 'eye-outline' "
						(click)="changeShowPass()"></mat-icon>
					<mat-error *ngIf="!authForm.controls['pass'].valid && authForm.controls['pass'].touched">
						Данное поле обязательно для заполнения
					</mat-error>
				</mat-form-field>

				<div *ngIf="this.isError" class="my-8" color="warn"> {{this.message}} </div>

				<div  fxLayoutAlign="center center" class="mt-20">
					<button mat-flat-button color="accent"
						fxFlex="60"
						fxFlex.lt-sm="100"
						type="submit"
						(click)="login()"
						[disabled]="!authForm.valid || isLoad"
					> Войти </button>
				</div>
				<div  fxLayoutAlign="center center" class="mt-12">
					<button mat-button color="primary"
						fxFlex="60"
						fxFlex.lt-sm="100"
						[disabled]="isLoad"
						(click)="goToRegistration()"
					> Регистрация </button>
				</div>




			</form>

		</mat-card-content>

		<ng-template #loginIn>
			<span class="caption">Вы вошли как пользователь</span>

			<h4 class="mb-20"> {{user.surname}} {{user.name}} {{user.patronymic}} </h4>

			<app-select-organization class="mb-20" [(ngModel)]="user.organization"
				[organizations]="organizations"
				(ngModelChange)="saveOrganization($event)"
				[label]="'Выберите организацию для входа'"
				[selectedOrgLabel]="'Выбранная для работы организация'"
			></app-select-organization>

			<ng-container *ngFor="let item of cabinets">
				<div fxLayoutAlign="center center" class="mt-12">
					<button mat-flat-button
						*ngIf="item == 'university'; else simpleButton"
						color="accent"
						fxFlex="60"
						fxFlex.lt-sm="100"
						(click)="goToCabinet(item)"
						[disabled]="!user.organization">
						{{  item | cabinetsNameButton }}
					</button>
					<ng-template #simpleButton>
						<button mat-stroked-button
							fxFlex="60"
							fxFlex.lt-sm="100"
							[disabled]="user.organization"
							(click)="goToCabinet(item)">
							{{  item | cabinetsNameButton }}
						</button>
					</ng-template>


				</div>
			</ng-container>

			<!--<div fxLayoutAlign="center center" class="mt-12">
			  <button mat-flat-button  color="accent"
					  fxFlex="60" fxFlex.lt-sm="100"
					  (click)="goToCabinet('')"
					  [disabled]="!user.organization">
				Перейти в Личный кабинет
			  </button>
			</div>-->

			<div fxLayoutAlign="center center" class="mt-12">
				<button mat-flat-button color="primary"
					fxFlex="60" fxFlex.lt-sm="100"
					(click)="logout()" > Выйти </button>
			</div>



		</ng-template>
		<mat-card-actions>

		</mat-card-actions>

	</mat-card>
</div>







